function [] = trash_throw(ur,TextArea)
% Funkcia pre odhadenie kocky nespravnej farby

%% Pozicia nad kosom
trash_position = [0.1010   -0.6975    0.0856    3.1321    0.0179   -0.0041];
%% Pohyby
k = 1;                                  % premenna pre osetrenie zaseknutia vo while 
TextArea.Value = 'Wrong color!';
position = transpose(ur.pose);          % zistenie aktualnej pozicie
position(3) = position(3) + 0.04;       % pripocitanie posuvu do + z
ur.RG2(0,50,0,false,false);             % uchopenie kocky
    while ur.gripper_pose < 10
          ur.RG2(0,50,0,false,false);
          if k > 5 ;return; end
          k = k + 1;
    end
    k = 1;
ur.movel(position);                     % lin. pohyb nad aktuálnu pozíciu
ur.movel(trash_position);               % pohyb nad kos
ur.RG2(30,0,0,false,false);             % uvolnenie kocky
    while ur.gripper_pose < 20
          ur.RG2(30,50,0,false,false);
          if k > 5 ;return; end
          k = k + 1;
    end
    k = 1;
end

